B
nged
BRL-CAD
BRL-CAD User Commands

# B

Clears the mged display of any currently displayed objects, then displays the list of objects provided in the parameter list.

          B

    	-A -o
    	attribute name {value}

          -s
          -C#/#/#
          -R
          objects

## DESCRIPTION

Clears the mged display of any currently displayed objects, then displays the list of objects provided in the parameter list. Equivalent to the `Z` command followed by the command `draw` <objects>. The -C option provides the user a way to specify a color that overrides all other color specifications including combination colors and region id-based colors. The -A and -o options allow the user to select objects by attribute. The -s option specifies that subtracted and intersected objects should be drawn with solid lines rather than dot-dash lines. The -R option means do not automatically resize the view if no other objects are displayed. See the `draw` command for a detailed description of the options.

## EXAMPLES

The following are run from the MGED command prompt.

### Display a named object

mged> `B some_object`

  The display clears, and the object named some_object is displayed.

### Draw objects having an attribute with a value

mged>`B -A -o Comment {First comment} Comment {Second comment}`

The display clears, then draws objects that have a "Comment" attribute with a value of either "First comment" or "Second comment."

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.